﻿Type=Activity
Version=3.8
B4A=true
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	Dim AStream As AsyncStreams
End Sub

Sub Globals
	Dim txtInput As EditText
	Dim txtLog As EditText
	Dim btnSend As Button
	Private Panel1 As Panel
	Dim Youtube As SNYouTube
	Dim Panel1 As Panel
	Dim  video1 As String
	Private Button1 As Button
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("2")
	If AStream.IsInitialized = False Then
		AStream.InitializePrefix(Main.serial1.InputStream, True, Main.serial1.OutputStream, "AStream")
	End If
	Activity.Title="YT SLAVE"
	txtLog.Width = 100%x
	Youtube.Initialize("Youtube",Main.YTAPI,Panel1)
	video1="0xdZXOM_Otc"
End Sub

Sub AStream_NewData (Buffer() As Byte)
	LogMessage("You", BytesToString(Buffer, 0, Buffer.Length, "UTF8"))
End Sub

Sub AStream_Error
	ToastMessageShow("Connection is broken.", True)
	btnSend.Enabled = False
	txtInput.Enabled = False
End Sub

Sub AStream_Terminated
	AStream_Error
End Sub

Sub Activity_Resume
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		AStream.Close
	End If
End Sub

Sub txtInput_EnterPressed
	If btnSend.Enabled = True Then btnSend_Click
End Sub
Sub btnSend_Click
	AStream.Write(txtInput.Text.GetBytes("UTF8"))
	txtInput.SelectAll
	txtInput.RequestFocus
	LogMessage("Me", txtInput.Text)
End Sub

Sub LogMessage(From As String, Msg As String)
	txtLog.Text = txtLog.Text & From & ": " & Msg & CRLF
	txtLog.SelectionStart = txtLog.Text.Length
	Youtube.Initialize("Youtube",Main.YTAPI,Panel1)
	Youtube.pause
	Youtube.release	
	video1=Msg
End Sub
Sub Youtube_OnFinishedInitialization(Success As Boolean)
	Log("Success: " & Success)
	If Success Then
		Youtube.loadVideo(video1)
	End If
End Sub

Sub Youtube_OnVideoEnded
	Log("Video ended")
End Sub

Sub Youtube_OnFullScreen(B As Boolean)
	Log("FullScreen: " & B)
End Sub

Sub Youtube_OnPlaying
	Log("OnPlaying")
End Sub

Sub Youtube_OnPaused
	Log("OnPaused")
End Sub

Sub Youtube_OnStopped
	Log("OnStopped")
End Sub

Sub Youtube_OnVideoStarted
	Log("Video started")
End Sub

Sub Youtube_OnLoading
	Log("OnLoading")
End Sub

Sub Youtube_OnLoaded
	Log("OnLoaded")
End Sub

Sub Youtube_OnAdStarted
	Log("OnAdStarted")
End Sub

Sub Youtube_OnError(Error As String)
	Log("Error: " & Error) 
End Sub 

Sub Youtube_OnBuffering(Buffering As Boolean)
	Log("Buffering: " & Buffering)
End Sub
Sub Button1_Click
CallSubDelayed(Main,"CloseAll")
End Sub